<?php

namespace Database\Seeders;

use App\Models\File;
use App\Models\News;
use Database\Factories\NewsFactory;
use Illuminate\Database\Seeder;

class NewsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $news = News::create([
            'title' => 'Итоги молодежного чемпионата Казахстана по боксу',
            'body' => '«На сегодняшний день по каратэ у нас пока имеется лишь одна лицензия. Как вы знаете, лидер команды Дархан Асадилов еще в прошлом году досрочно завоевал путевку на Олимпийские Игры. Сейчас мы ведем подготовку для завоевания путевок и в других весовых категориях. С началом нового года были внесены изменения в датах проведения большинства международных турниров. На апрель был перенесен турнир в Португалии, который должен был пройти в феврале. Кроме этого, есть еще два турнира, где разыгрываются дополнительные рейтинговые очки. Они запланированы в Марокко и Турции.',
            'federation_id' => 8
        ]);

        $file = File::create([
            'name' => '1.jpg',
            'path' => '/assets/img/articles/1.jpg',
        ]);

        $news->assignFile($file);

        $news = News::create([
            'title' => 'Итоги молодежного чемпионата Казахстана по боксу',
            'body' => '«На сегодняшний день по каратэ у нас пока имеется лишь одна лицензия. Как вы знаете, лидер команды Дархан Асадилов еще в прошлом году досрочно завоевал путевку на Олимпийские Игры. Сейчас мы ведем подготовку для завоевания путевок и в других весовых категориях. С началом нового года были внесены изменения в датах проведения большинства международных турниров. На апрель был перенесен турнир в Португалии, который должен был пройти в феврале. Кроме этого, есть еще два турнира, где разыгрываются дополнительные рейтинговые очки. Они запланированы в Марокко и Турции.',
            'federation_id' => 1
        ]);

        $file = File::create([
            'name' => '1.jpg',
            'path' => '/assets/img/articles/1.jpg',
        ]);

        $news->assignFile($file);
    }
}
